<?php
require_once '../database_config.php';

// 检查用户是否有权限访问此页面
check_permission_or_die('system');

// 记录访问日志
record_log('访问系统设置页面');
?>

<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo title; ?></title>
    <link rel="stylesheet" href="../style.css">
</head>

<body>
    <div class="container">
        <div class="header-local">
            <h2>系统设置</h2>
        </div>

        <div class="content">
            <div class="dashboard">
                <div class="dashboard-card">
                    <h3>系统用户</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM sys_users");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">活跃用户：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM sys_users WHERE status = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>角色数量</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM sys_roles");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">系统角色总数</div>
                </div>

                <div class="dashboard-card">
                    <h3>操作日志</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM sys_logs WHERE DATE(create_time) = CURDATE()");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">今日操作次数</div>
                </div>

                <div class="dashboard-card">
                    <h3>数据备份</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM sys_backups");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">备份文件总数</div>
                </div>
            </div>

            <h2>功能导航</h2>
            <div class="function-links">
                <a href="user.php" class="function-link">
                    <h3>用户管理</h3>
                </a>
                <a href="role.php" class="function-link">
                    <h3>角色权限管理</h3>
                </a>
                <a href="log.php" class="function-link">
                    <h3>操作日志</h3>
                </a>
                <a href="backup.php" class="function-link">
                    <h3>数据备份</h3>
                </a>
                <a href="language.php" class="function-link">
                    <h3>多语言设置</h3>
                </a>
            </div>

            <h2>系统信息</h2>
            <div class="system-info">
                <table class="info-table">
                    <tr>
                        <td>系统名称：</td>
                        <td><?php echo title; ?></td>
                    </tr>
                    <tr>
                        <td>PHP版本：</td>
                        <td><?php echo PHP_VERSION; ?></td>
                    </tr>
                    <tr>
                        <td>MySQL版本：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT VERSION() as version");
                            $result = $stmt->fetch();
                            echo $result['version'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>服务器系统：</td>
                        <td><?php echo PHP_OS; ?></td>
                    </tr>
                    <tr>
                        <td>当前时间：</td>
                        <td><?php echo date('Y-m-d H:i:s'); ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</body>

</html>